# \[GET] /cbe/curriculum/framework/{framework\_id}/hierarchy-by-depth

\[GET] `/cbe/curriculum/framework/{framework_id}/hierarchy-by-depth`

{% tabs %}
{% tab title="Critique" %}

* From the route alone, it is unclear what the resource is for this endpoint.
  * For example, is a framework being returned? Or a list of objective sets?
* In reality, this endpoint returns a hierarchical list of nodes associated with the specified framework.
* In addition, `framework` itself should be plural, i.e. `frameworks`, because  `/cbe/curriculum/frameworks` is the collection of frameworks.
  {% endtab %}

{% tab title="Suggestion" %}

* If the endpoint returns a hierarchical list of nodes, then structure the URI by including `/nodes` as a sub-collection.
* This helps by making it clear what type of data is being returned.
* Rename `framework` to `frameworks`.

{% hint style="info" %}
**Final Suggestion**

`[GET] /cbe/curriculum/frameworks/{framework_id}/nodes`
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/api/elentra-api-standards/routing-and-parameters/common-mistakes/get-cbe-curriculum-framework-framework_id-hierarchy-by-depth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
